This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 790079 - cleaning a re-deployment with a edited file fails
cleaning a re-deployment with a edited file fails
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Provisioning (Show other bugs)
4.2
Unspecified Unspecified
medium Severity high (vote)
: ---
: JON 3.0.1
Assigned To: John Mazzitelli
Mike Foley
:
Depends On: 785268
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-13 10:50 EST by Charles Crouch
Modified: 2015-02-01 18:27 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 785268
Environment:
Last Closed: 2013-09-03 11:08:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
test bundle distribution file (594 bytes, application/x-java-archive)
2012-02-21 13:13 EST, John Mazzitelli
no flags Details

  None (edit)
Description Charles Crouch 2012-02-13 10:50:22 EST
+++ This bug was initially created as a clone of Bug #785268 +++

1) deploy a bundle that has a file in it - foo.txt.
2) edit foo.txt after its laid down on the destination directory
3) re-deploy the same bundle you did in step 1 BUT make it a "clean deployment" (check the clean option in the bundle deploy wizard).

What should happen is foo.txt should be reverted back to what it looks like in the bundle. However, what happens is foo.txt gets outright deleted and missing after the second deployment completes.

--- Additional comment from mazz@redhat.com on 2012-01-27 16:56:57 EST ---

git commit to master: 657f2f2

this includes the fix and some unit tests to show it working

--- Additional comment from mazz@redhat.com on 2012-01-31 09:39:25 EST ---

the use-case here was the drift remediation demo that jay s produced and a feature that ian/lukas promoted earlier.

The concept is that you deploy a bundle, and someone changes a file that was laid down. Drift gets detected due to that change and that drift triggers an alert which then invokes an alert CLI script which turns around and does a clean deployment of the same bundle.

When that sequence of events happens, this bug is hit.
Comment 1 Mike Foley 2012-02-13 11:59:30 EST
per triage 2/13/2012 (asantos, crouch, foley, loleary)
Comment 2 John Mazzitelli 2012-02-13 14:41:36 EST
cherry picked to release/jon3.0.x branch - commit: 69cd904c42b383eaa93abb244347df45cf716e3e
Comment 3 Simeon Pinder 2012-02-17 00:36:34 EST
Moving to ON_QA for testing with JON 3.0.1.GA RC5 or better:
https://brewweb.devel.redhat.com//buildinfo?buildID=199114
Comment 5 John Mazzitelli 2012-02-21 13:13:08 EST
Created attachment 564760 [details]
test bundle distribution file

try to test with the attached small-v1.jar bundle distribution file. This can be uploaded as a bundle to the RHQ server and then deployed. It will deploy a single .properties file.
Comment 6 Heiko W. Rupp 2013-09-03 11:08:07 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.